Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-iconv
Version:        3.0.0
Release:        alt3_1
Summary:        Text recoding in JavaScript for fun and profit

License:        ISC
URL:            https://github.com/bnoordhuis/node-iconv
Source0:        https://registry.npmjs.org/iconv/-/iconv-%{version}.tgz
# Workaround some differences in glibc's iconv vs libiconv
Patch0:         nodejs-iconv-glibc.patch

BuildRequires:  node-devel rpm-build-nodejs
BuildRequires:  node-gyp

%{?nodejs_default_filter}
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
%patch0 -p1

rm -rf deps support node_modules


%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags} -Wl,-z,undefs"
node-gyp rebuild -- -Dnode_iconv_use_system_libiconv=1


%install
mkdir -p %{buildroot}%{nodejs_sitearch}/iconv/build/Release
cp -pr package.json index.js %{buildroot}%{nodejs_sitearch}/iconv
install -p -m755 build/Release/iconv.node %{buildroot}%{nodejs_sitearch}/iconv/build/Release
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
mkdir test/tmp
%__nodejs test/run-tests.js


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitearch}/iconv


%changelog
* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 3.0.0-alt3_1
- rebuild to get rid of unmets

* Sat May 14 2022 Cronbuild Service <cronbuild@altlinux.org> 3.0.0-alt2_1
- rebuild to get rid of unmets

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt1_1
- update to new release by fcimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.5-alt1_1
- update to new release by fcimport

* Wed Mar 27 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.3-alt1_1
- new version

* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.3-alt0.1.njs.bootstrap
- bootstrap

